# Uses of Class
org.eclipse.core.commands.ExecutionException

Packages that use ExecutionException
Package
Description
org.eclipse.compare.internal
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.core.commands.operations
Classes for the creation of undoable operations which can be added to an operations history and later be undone and redone.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.e4.core.commands.internal
org.eclipse.help.ui.internal
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.commands
Provides JFace-specific support for commands.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.text.undo
Provides undo and redo support for a document.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.
org.eclipse.ui.internal
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of ExecutionException in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that throw ExecutionException
Modifier and Type
Method
Description
`Object`
CompareWithOtherResourceHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionException in org.eclipse.core.commands

Methods in org.eclipse.core.commands with parameters of type ExecutionException
Modifier and Type
Method
Description
`void`
CommandManager.`firePostExecuteFailure(String commandId, ExecutionException exception)`
Fires the `postExecuteFailure` event for `executionListeners`.
`void`
IExecutionListener.`postExecuteFailure(String commandId, ExecutionException exception)`
Notifies the listener that a command has failed to complete execution.
Methods in org.eclipse.core.commands that throw ExecutionException
Modifier and Type
Method
Description
`Object`
Command.`execute(ExecutionEvent event)`
Deprecated.
Please use `Command.executeWithChecks(ExecutionEvent)` instead.
`Object`
IHandler.`execute(ExecutionEvent event)`
Executes with the map of parameter values by name.
`Object`
ParameterizedCommand.`execute(Object trigger, Object applicationContext)`
Deprecated, for removal: This API element is subject to removal in a future version.
Please use `ParameterizedCommand.executeWithChecks(Object, Object)` instead.
`Object`
Command.`executeWithChecks(ExecutionEvent event)`
Executes this command by delegating to the current handler, if any.
`Object`
ParameterizedCommand.`executeWithChecks(Object trigger, Object applicationContext)`
Executes this command with its parameters.
`final Object`
ExecutionEvent.`getObjectParameterForExecution(String parameterId)`
Returns the object represented by the string value of the parameter with the provided id.

## Uses of ExecutionException in org.eclipse.core.commands.operations

Methods in org.eclipse.core.commands.operations that throw ExecutionException
Modifier and Type
Method
Description
`IStatus`
IAdvancedUndoableOperation2.`computeExecutionStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of executing the receiver.
`IStatus`
TriggeredOperations.`computeExecutionStatus(IProgressMonitor monitor)`
`IStatus`
IAdvancedUndoableOperation.`computeRedoableStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of redoing the receiver.
`IStatus`
TriggeredOperations.`computeRedoableStatus(IProgressMonitor monitor)`
`IStatus`
IAdvancedUndoableOperation.`computeUndoableStatus(IProgressMonitor monitor)`
Return a status indicating the projected outcome of undoing the receiver.
`IStatus`
TriggeredOperations.`computeUndoableStatus(IProgressMonitor monitor)`
`abstract IStatus`
AbstractOperation.`execute(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`execute(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`execute(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
Execute the specified operation and add it to the operations history if successful.
`IStatus`
IUndoableOperation.`execute(IProgressMonitor monitor, IAdaptable info)`
Execute the operation.
`IStatus`
TriggeredOperations.`execute(IProgressMonitor monitor, IAdaptable info)`
`abstract IStatus`
AbstractOperation.`redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`redo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`redo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
Redo the most recently undone operation in the given context.
`IStatus`
IUndoableOperation.`redo(IProgressMonitor monitor, IAdaptable info)`
Redo the operation.
`IStatus`
TriggeredOperations.`redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`redoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`redoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
Redo the specified operation.
`abstract IStatus`
AbstractOperation.`undo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`undo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`undo(IUndoContext context, IProgressMonitor monitor, IAdaptable info)`
Undo the most recently executed operation in the given context.
`IStatus`
IUndoableOperation.`undo(IProgressMonitor monitor, IAdaptable info)`
Undo the operation.
`IStatus`
TriggeredOperations.`undo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
DefaultOperationHistory.`undoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
`IStatus`
IOperationHistory.`undoOperation(IUndoableOperation operation, IProgressMonitor monitor, IAdaptable info)`
Undo the specified operation.

## Uses of ExecutionException in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that throw ExecutionException
Modifier and Type
Method
Description
`static ISelection`
DebugUITools.`getDebugContextForEventChecked(ExecutionEvent event)`
Return the debug context for the given executionEvent.

## Uses of ExecutionException in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that throw ExecutionException
Modifier and Type
Method
Description
`Object`
DebugCommandHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionException in org.eclipse.e4.core.commands.internal

Methods in org.eclipse.e4.core.commands.internal that throw ExecutionException
Modifier and Type
Method
Description
`Object`
HandlerServiceHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionException in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal that throw ExecutionException
Modifier and Type
Method
Description
`Object`
CloseHelpTrayHandler.`execute(ExecutionEvent event)`
Executes the command.

## Uses of ExecutionException in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type ExecutionException
Modifier and Type
Method
Description
`void`
ExternalActionManager.CommandCallback.`postExecuteFailure(IAction action, ExecutionException exception)`
`void`
ExternalActionManager.IExecuteCallback.`postExecuteFailure(IAction action, ExecutionException exception)`
Creates an `ExecutionException` when the action returned a failure.

## Uses of ExecutionException in org.eclipse.jface.commands

Methods in org.eclipse.jface.commands that throw ExecutionException
Modifier and Type
Method
Description
`final Object`
ActionHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionException in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that throw ExecutionException
Modifier and Type
Method
Description
`Object`
MergeActionHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionException in org.eclipse.text.undo

Methods in org.eclipse.text.undo that throw ExecutionException
Modifier and Type
Method
Description
`void`
DocumentUndoManager.`redo()`
`void`
IDocumentUndoManager.`redo()`
Repeats the most recently rolled back text change.
`void`
DocumentUndoManager.`undo()`
`void`
IDocumentUndoManager.`undo()`
Rolls back the most recently executed text change.

## Uses of ExecutionException in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that throw ExecutionException
Modifier and Type
Method
Description
`Object`
FileBufferOperationHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionException in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that throw ExecutionException
Modifier and Type
Method
Description
`Object`
ShowPerspectiveHandler.`execute(ExecutionEvent event)`
`Object`
ShowViewHandler.`execute(ExecutionEvent event)`
`Object`
IHandlerService.`executeCommand(String commandId, Event event)`
Executes the command with the given identifier and no parameters.
`Object`
IHandlerService.`executeCommand(ParameterizedCommand command, Event event)`
Executes the given parameterized command.
`Object`
IHandlerService.`executeCommandInContext(ParameterizedCommand command, Event event, IEvaluationContext context)`
Executes the given parameterized command in the provided context.
`static Collection`
HandlerUtil.`getActiveContextsChecked(ExecutionEvent event)`
Return the active contexts.
`static IEditorPart`
HandlerUtil.`getActiveEditorChecked(ExecutionEvent event)`
Return the active editor.
`static String`
HandlerUtil.`getActiveEditorIdChecked(ExecutionEvent event)`
Return the part id of the active editor.
`static IEditorInput`
HandlerUtil.`getActiveEditorInputChecked(ExecutionEvent event)`
Return the input of the active editor.
`static ISelection`
HandlerUtil.`getActiveMenuEditorInputChecked(ExecutionEvent event)`
Return the active menu editor input.
`static Collection`
HandlerUtil.`getActiveMenusChecked(ExecutionEvent event)`
Return the menu IDs that were applied to the registered context menu.
`static ISelection`
HandlerUtil.`getActiveMenuSelectionChecked(ExecutionEvent event)`
Return the active menu selection.
`static IWorkbenchPart`
HandlerUtil.`getActivePartChecked(ExecutionEvent event)`
Return the active part.
`static String`
HandlerUtil.`getActivePartIdChecked(ExecutionEvent event)`
Return the part id of the active part.
`static Shell`
HandlerUtil.`getActiveShellChecked(ExecutionEvent event)`
Return the active shell.
`static IWorkbenchSite`
HandlerUtil.`getActiveSiteChecked(ExecutionEvent event)`
Return the active part site.
`static IWorkbenchWindow`
HandlerUtil.`getActiveWorkbenchWindowChecked(ExecutionEvent event)`
Return the active workbench window.
`static ISelection`
HandlerUtil.`getCurrentSelectionChecked(ExecutionEvent event)`
Return the current selection.
`static Object`
HandlerUtil.`getShowInInputChecked(ExecutionEvent event)`
Return the ShowInContext input.
`static ISelection`
HandlerUtil.`getShowInSelectionChecked(ExecutionEvent event)`
Return the ShowInContext selection.
`static Object`
HandlerUtil.`getVariableChecked(ExecutionEvent event, String name)`
Extract the variable.
`static boolean`
HandlerUtil.`matchesRadioState(ExecutionEvent event)`
Checks whether the radio state of the command is same as the radio state parameter's value
`static boolean`
HandlerUtil.`toggleCommandState(Command command)`
Toggles the command's state.
`static void`
HandlerUtil.`updateRadioState(Command command, String newState)`
Updates the radio state of the command to the given value

## Uses of ExecutionException in org.eclipse.ui.ide.undo

Methods in org.eclipse.ui.ide.undo that throw ExecutionException
Modifier and Type
Method
Description
`IStatus`
AbstractWorkspaceOperation.`execute(IProgressMonitor monitor, IAdaptable uiInfo)`
Execute the specified operation.
`IStatus`
AbstractWorkspaceOperation.`redo(IProgressMonitor monitor, IAdaptable uiInfo)`
Redo the specified operation.
`IStatus`
AbstractWorkspaceOperation.`undo(IProgressMonitor monitor, IAdaptable uiInfo)`
Undo the specified operation.

## Uses of ExecutionException in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that throw ExecutionException
Modifier and Type
Method
Description
`Object`
ActivateEditorHandler.`execute(ExecutionEvent event)`
`Object`
CloseAllHandler.`execute(ExecutionEvent event)`
`Object`
CloseEditorHandler.`execute(ExecutionEvent event)`
`Object`
CloseOthersHandler.`execute(ExecutionEvent event)`
`Object`
FilteredTableBaseHandler.`execute(ExecutionEvent event)`
`Object`
ShowInHandler.`execute(ExecutionEvent event)`
`Object`
SplitHandler.`execute(ExecutionEvent event)`

## Uses of ExecutionException in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties that throw ExecutionException
Modifier and Type
Method
Description
`Object`
NewPropertySheetHandler.`execute(ExecutionEvent event)`
First tries to find a suitable instance to reuse for the given context, then creates a new instance if necessary.
`protected PropertySheet`
NewPropertySheetHandler.`findPropertySheet(ExecutionEvent event, PropertyShowInContext context)`
Returns a PropertySheet instance
`protected PropertyShowInContext`
NewPropertySheetHandler.`getShowInContext(ExecutionEvent event)`